Package org.apache.bsf.util.event.generator

# Class AdapterClassLoader

java.lang.Object
java.lang.ClassLoader
org.apache.bsf.util.event.generator.AdapterClassLoader

public class AdapterClassLoader extends ClassLoader

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdapterClassLoader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class`
  `defineClass(String name, byte[] b)`
  `protected final Class`
  `findClass(String name)`
  `protected final Class`
  `get(String name)`
  `Class`
  `getLoadedClass(String name)`
  `protected Class`
  `loadClass(String name, boolean resolve)`
  `protected final void`
  `put(String name, Class c)`

  ### Methods inherited from class java.lang.ClassLoader

  `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResource, findResources, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AdapterClassLoader

    public AdapterClassLoader()

- ## Method Details

  - ### defineClass

    public Class defineClass(String name, byte[] b) throws Throwable
    Throws:
      `Throwable`

  - ### findClass

    protected final Class findClass(String name)
    Overrides:
      `findClass` in class `ClassLoader`

  - ### get

    protected final Class get(String name)

  - ### getLoadedClass

    public Class getLoadedClass(String name)

  - ### loadClass

    protected Class loadClass(String name, boolean resolve) throws ClassNotFoundException
    Overrides:
      `loadClass` in class `ClassLoader`
    Throws:
      `ClassNotFoundException`

  - ### put

    protected final void put(String name, Class c)